> ## Documentation Index
> Fetch the complete documentation index at: https://docs.istari.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch



## OpenAPI

````yaml /api-reference/openapi.json post /fetch
openapi: 3.1.0
info:
  title: GOI API
  description: >-
    Programmatic access to the ISTARI Global Organization Index (GOI) — search,
    bulk lookup, aggregations, and location resolution over ~20M verified
    organizations. Authenticate with the `x-api-key` header.
  version: v2
servers:
  - url: https://api.istari.ai/v2
    description: GOI API (production)
security:
  - ApiKeyAuth: []
paths:
  /fetch:
    post:
      summary: Fetch
      operationId: fetch_v1_fetch_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FetchRequest:
      properties:
        domains:
          items:
            type: string
          type: array
          maxItems: 5000
          minItems: 1
          title: Domains
        columns:
          items:
            type: string
          type: array
          title: Columns
      type: object
      required:
        - domains
      title: FetchRequest
    FetchResponse:
      properties:
        data:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Data
        metadata:
          $ref: '#/components/schemas/FetchMetadata'
      type: object
      required:
        - data
        - metadata
      title: FetchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FetchMetadata:
      properties:
        requested:
          type: integer
          title: Requested
          description: Number of domains in the request.
        found:
          type: integer
          title: Found
          description: Number of domains that matched a row in the database.
        missing:
          items:
            type: string
          type: array
          title: Missing
          description: Domains from the request that were not found.
      type: object
      required:
        - requested
        - found
        - missing
      title: FetchMetadata
      description: Diagnostics returned alongside /v1/fetch results.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Your GOI API key. Create one on the GOI dashboard under API keys.

````